Package com.verisign.epp.interfaces

## Class EPPQuicSessionTst

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.verisign.epp.interfaces.EPPQuicSessionTst

- All Implemented Interfaces:
    `junit.framework.Test`

      public class EPPQuicSessionTst
      extends junit.framework.TestCase

  Is a unit test of the `EPPQuicSession` class. The unit test will initialize a session with an EPP Server and end a session with an EPP Server. The configuration file used by the unit test defaults to "epp.config", but can be changed by passing the file path as the first command line argument. The unit test can be run in multiple threads by setting the "threads" system property. For example, the unit test can be run in 2 threads with the configuration file "../../epp.config" with the following command:
  java com.verisign.epp.interfaces.EPPQuicSessionTst -Dthreads=2 ../../epp.config
  NOTE: The test will only work if there is at least one EPP Command Mapping configured (i.e. Domain). Without one EPP Command Mapping, the XML Schema validation will fail when the client parses the greeting message from the EPP Server Stub.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPQuicSessionTst​(java.lang.String name)` | Allocates an `EPPQuicSessionTst` with a logical name.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handleException​(EPPCommandException aException)` | Handle an `EPPCommandException`, which can be either a server generated error or a general exception.
    `static void` | `main​(java.lang.String[] args)` | Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off (`false`).
    `static void` | `printEnd​(java.lang.String aTest)` | Print the end of a test with the `Thread` name if the current thread is a `TestThread`.
    `static void` | `printStart​(java.lang.String aTest)` | Print the start of a test with the `Thread` name if the current thread is a `TestThread`.
    `protected void` | `setUp()` | JUNIT `setUp` method, which sets the default client Id to "theRegistrar".
    `static junit.framework.Test` | `suite()` | JUNIT `suite` static method, which returns the tests associated with `EPPQuicSessionTst`.
    `protected void` | `tearDown()` | JUNIT `tearDown`, which currently does nothing.
    `void` | `testSession()` | JUNIT test method to implement the `EPPQuicSessionTst TestCase`.

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPQuicSessionTst

          public EPPQuicSessionTst​(java.lang.String name)

      Allocates an `EPPQuicSessionTst` with a logical name. The constructor will initialize the base class `TestCase` with the logical name.
      Parameters:
        `name` - Logical name of the test

  - ### Method Detail

    - #### testSession

          public void testSession()

      JUNIT test method to implement the `EPPQuicSessionTst TestCase`. Each sub-test will be invoked in order to satisfy testing the initialization and ending of an EPP Session with an EPP Server.

    - #### setUp

          protected void setUp()

      JUNIT `setUp` method, which sets the default client Id to "theRegistrar".
      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### tearDown

          protected void tearDown()

      JUNIT `tearDown`, which currently does nothing.
      Overrides:
        `tearDown` in class `junit.framework.TestCase`

    - #### suite

          public static junit.framework.Test suite()

      JUNIT `suite` static method, which returns the tests associated with `EPPQuicSessionTst`.
      Returns:
        tests

    - #### main

          public static void main​(java.lang.String[] args)

      Unit test main, which accepts the following system property options:
      - iterations Number of unit test iterations to run
      - validate Turn XML validation on (`true`) or off (`false`). If validate is not specified, validation will be off.
      Parameters:
        `args` - Program arguments

    - #### handleException

          public void handleException​(EPPCommandException aException)

      Handle an `EPPCommandException`, which can be either a server generated error or a general exception. If the exception was caused by a server error, "Server Error : <Response XML>" will be specified. If the exception was caused by a general algorithm error, "General Error : <Exception Description>" will be specified.
      Parameters:
        `aException` - Exception thrown during test

    - #### printStart

          public static void printStart​(java.lang.String aTest)

      Print the start of a test with the `Thread` name if the current thread is a `TestThread`.
      Parameters:
        `aTest` - name for the test

    - #### printEnd

          public static void printEnd​(java.lang.String aTest)

      Print the end of a test with the `Thread` name if the current thread is a `TestThread`.
      Parameters:
        `aTest` - name for the test